<template>
    <div class="dialog-table-container">
        <el-table :element-loading-background="loadingColor" v-loading="loading" height="65vh" align="center"
            :data="tableData" class="dialog_table" :cell-style="{ 'text-align': 'center' }"
            :header-cell-style="{ 'text-align': 'center' }">
            <el-table-column type="expand" label="点击查看详情" width="140">
                <template slot-scope="props">
                    <el-form label-position="top" class="dialog-table-expand">
                        <el-row>
                            <el-form-item label="解决问题：">
                                <span>{{ props.row.solveProblem }}</span>
                            </el-form-item>
                        </el-row>
                        <el-row>
                            <el-form-item label="运行实效：">
                                <span>{{ props.row.actualEffect }}</span>
                            </el-form-item>
                        </el-row>
                        <el-row>
                            <el-form-item label="佐证材料：">
                                <el-row v-if="props.row.fileList">
                                    <el-col :span="8" v-for="(file, index) in props.row
                                        .fileList" :key="index">
                                        <div class="file-style">
                                            <div class="file-item">
                                                <span class="file-name" :title="file.name
                                                        ? file.name
                                                        : file.fileName +
                                                        '.' +
                                                        file.extensionName
                                                    ">{{
        file.name
        ? file.name
        : file.fileName +
        '.' +
        file.extensionName
    }}</span>
                                                <span class="file-btn short">
                                                    <el-link type="primary" :underline="false" @click="
                                                        handlePreview(file)
                                                        " style="color: #fff">预览</el-link>
                                                    <el-link type="primary" :underline="false" style="color: #fff" @click="
                                                        handleDownloadFile(
                                                            file
                                                        )
                                                        ">下载</el-link>
                                                </span>
                                            </div>
                                        </div>
                                    </el-col>
                                </el-row>
                            </el-form-item>
                        </el-row>
                    </el-form>
                </template>
            </el-table-column>
            <el-table-column prop="objectName" label="应用名称" width="200">
            </el-table-column>
            <el-table-column prop="projectName" label="项目名称">
            </el-table-column>
            <el-table-column prop="finishTime" label="上线日期" width="100">
            </el-table-column>
        </el-table>
        <pagenation @currentChange="pageChange" class="pagenation" :pageResult="prarms.pageBean"></pagenation>
        <filePreview ref="filePreview" :appendToBody="true"></filePreview>
    </div>
</template>

<script>
import filePreview from '@/components/FilePreview/filePreview.vue'
import apiList from '@/api/bigScreen/majorView.js'
const portal = window.context.portal
import pagenation from './pagenation.vue'
export default {
    name: 'applicationScenario',
    components: { pagenation, filePreview },
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
            tableData: [
                {
                    id: 1,
                    objectName: '应用名称',
                    projectName: '推动数字重庆建设',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 2,
                    objectName: '应用名称',
                    projectName: '全市开发区（园区）数',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 3,
                    objectName: '应用名称',
                    projectName: '探索制造业“亩均论英雄”改革',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 4,
                    objectName: '应用名称',
                    projectName: '实施国企战略性重组和专业化整合',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 5,
                    objectName: '应用名称',
                    projectName: '建立企业上市助推机制',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 6,
                    objectName: '应用名称',
                    projectName: '探索强村富民综合改革',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 7,
                    objectName: '应用名称',
                    projectName: '探索经济区与行政区适度分离改革',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 8,
                    objectName: '应用名称',
                    projectName: '推进涉企涉民服务全生命周期“一件事一次办”',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 9,
                    objectName: '应用名称',
                    projectName: '打造“信用重庆”升级版',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 10,
                    objectName: '应用名称',
                    projectName: '建设政企学研深度融合的现代职教体系',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 11,
                    objectName: '应用名称',
                    projectName: '健全平安重庆风险闭环管控机制',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 10,
                    objectName: '应用名称',
                    projectName: '推进渝警数智“情指行”一体化现代警务改革',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 10,
                    objectName: '应用名称',
                    projectName: '建立领导班子运行评估和群众口碑评价机制',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 10,
                    objectName: '应用名称',
                    projectName: '推进“党建扎桩·治理结网”基层治理现代化改革',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
                {
                    id: 15,
                    objectName: '应用名称',
                    projectName: '实施投融资多元化改革',
                    finishTime: '2023-01-01',
                    area: '璧山',
                    fujian: '',
                    shixiao:
                        '本平台运行后为**************************************。',
                    resolve:
                        '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
                },
            ],
            prarms: {
                pageBean: {
                    page: 1,
                    pageSize: 10,
                    total: 0,
                    showTotal: true,
                },
                params: {},
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'r.RESULT_FORM_',
                        relation: 'AND',
                        value: 3,
                    },
                    // {
                    //     group: 'main',
                    //     operation: 'EQUAL',
                    //     parentGroup: '',
                    //     property: 'r.result_year_', // 字段名
                    //     relation: 'AND',
                    //     value: '',
                    // },
                    // {
                    //     group: 'main',
                    //     operation: 'LESS_EQUAL',
                    //     parentGroup: '',
                    //     property: 'r.result_quarter_', // 字段名
                    //     relation: 'AND',
                    //     value: '',
                    // },
                ],
            },
            prarmsFile: {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    showTotal: true,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'BIZ_ID_',
                        relation: 'AND',
                        value: '',
                    },
                ],
            },
        }
    },
    mounted() {
        // this.getResultList()
    },
    methods: {
        pageChange(key) {
            this.prarms.pageBean.page = key
            this.loadData()
        },
        expandChange(row, expandedRows) {
            console.log(row, expandedRows)
            if (row.fileList) return
            this.getFiles(row)
        },
        getFiles(row) {
            this.prarmsFile.querys[0].value = row.id
            apiList.getFiles(this.prarmsFile, (data) => {
                row.fileList = data.rows
            })
            let index = this.tableData.findIndex((item) => item.id == row.id)
            this.tableData.splice(index, 1, row)
        },
        handlePreview(file) {
            let id = file.fileId
                ? file.fileId
                : file.id
                    ? file.id
                    : file.response.fileId
            let type = file.fileType || (file.extensionName
                ? file.extensionName
                : file.name.split('.')[1])
            this.$refs.filePreview.previewUrl = this.previewUrl + id
            this.$refs.filePreview.open(type)
        },
        // 文件下载
        handleDownloadFile(file) {
            console.log(file)
            let id = file.fileId
                ? file.fileId
                : file.id
                    ? file.id
                    : file.response.fileId
            window.open(portal + `/file/v1/downloadFile?fileId=${id}`, '_self')
        },
        loadData() {
            this.loading = true
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            // this.prarms.querys[1].value = searchDate.year
            // this.prarms.querys[2].value = searchDate.quarter
            this.prarms.params = {
                year: searchDate.year,
                quarter: searchDate.quarter,
            }
            apiList.getPilotResultDetail(this.prarms, (res) => {
                console.log(res)
                if (res && res.rows) {
                    this.tableData = res.rows
                    this.prarms.pageBean.page = res.page
                    this.prarms.pageBean.pageSize = res.pageSize
                    this.prarms.pageBean.total = res.total
                }
                this.loading = false
            })
        },
        getResultList() {
            this.loading = true
            // 1.制度成果
            // 2.工作平台
            // 3.应用场景
            let data1 = {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    showTotal: true,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'type',
                        relation: 'AND',
                        value: 3,
                    },
                ],
            }
            apiList.getResultList(data1, (res) => {
                if (res) {
                    this.tableData = res.records
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped></style>
<style lang="scss">
@import './table.scss';
</style>
